Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Types | Public Member Functions
GoSensor Class Reference
GoSdk

## Description

Represents a Gocator sensor.

Inheritance diagram for GoSensor:

## Public Types
typedef kStatus(kCall * | GoSensorDataSetFx )(kPointer context, GoSensor sensor, GoDataSet dataSet)
| Defines the signature for a custom data message handler. More...

## Public Member Functions
GoDiscoveryOpMode | GoSensor_AccelOpMode (GoSensor sensor)
| Returns the operational mode of the sensor. More...
GoPortInfo | GoSensor_AccelPortInfo (GoSensor sensor)
| Returns the port numbers used by an accelerated sensor, including web port. More...
kStatus | GoSensor_AccelSensorIpAddress (GoSensor sensor, kIpAddress *ipAddress)
| Returns the physical sensor IP address when sensor is accelerated. More...
GoSensorAccelState | GoSensor_AccelState (GoSensor sensor)
| Returns the acceleration state of a sensor. More...
kStatus | GoSensor_AddBuddy (GoSensor sensor, GoSensor buddy)
| Assigns a buddy sensor. More...
kStatus | GoSensor_AddBuddyBlocking (GoSensor sensor, GoSensor buddy)
| Synchronously assigns a buddy sensor. More...
kStatus | GoSensor_Address (GoSensor sensor, GoAddressInfo *info)
| Retrieves the sensor's network address settings. More...
kStatus | GoSensor_Align (GoSensor sensor)
| Perform alignment using the configured alignment type and target. More...
kStatus | GoSensor_AlignmentReference (GoSensor sensor, GoAlignmentRef *reference)
| Gets the alignment reference of the sensor. More...
GoAlignmentState | GoSensor_AlignmentState (GoSensor sensor)
| Gets the alignment state of the sensor. More...
kBool | GoSensor_AutoStartEnabled (GoSensor sensor)
| Gets the AutoStart enabled state currently used by the sensor. More...
kStatus | GoSensor_Backup (GoSensor sensor, const kChar *destPath)
| Creates a backup of sensor files and downloads the backup to the specified location. More...
kSize | GoSensor_BuddiesCount (GoSensor info)
| Gets the number of buddies in the sytem. More...
k32u | GoSensor_BuddyId (GoSensor sensor)
| Gets the buddy sensor's device ID. More...
kStatus | GoSensor_Cancel (GoSensor sensor)
| Aborts ongoing sensor communication. More...
kBool | GoSensor_CanStart (GoSensor sensor)
| Checks if the sensor is ready to start, if all assigned buddies are connected. More...
kStatus | GoSensor_ChangePassword (GoSensor sensor, GoUser user, const kChar *password)
| Changes the password associated with the specified user account. More...
kStatus | GoSensor_ClearAlignment (GoSensor sensor)
| Clears the current sensor alignment. More...
kStatus | GoSensor_ClearLog (GoSensor sensor)
| Clears the log file (_live.log). More...
kStatus | GoSensor_ClearMeasurementStats (GoSensor sensor)
| Resets the measurement statistics reported by the health channel. More...
kStatus | GoSensor_ClearReplayData (GoSensor sensor)
| Clears the replay buffer. More...
kStatus | GoSensor_Connect (GoSensor sensor)
| Creates a connection to the sensor. More...
kStatus | GoSensor_ConnectAndLogin (GoSensor sensor, GoUser user, const kChar *password)
| Connects and logs into the sensor using the specified user name and password. More...
k32u | GoSensor_ControlPort (GoSensor sensor)
| returns the Control Port. More...
kStatus | GoSensor_CopyFile (GoSensor sensor, const kChar *sourceName, const kChar *destName)
| Copies a file within the connected sensor. More...
k32u | GoSensor_DataPort (GoSensor sensor)
| returns the Data Port. More...
kStatus | GoSensor_DefaultJob (GoSensor sensor, kChar *fileName, kSize capacity)
| Gets the name of the default job file to be loaded on boot. More...
kStatus | GoSensor_DeleteFile (GoSensor sensor, const kChar *name)
| Deletes a file within the connected sensor. More...
kSize | GoSensor_DirectoryFileCount (GoSensor sensor, const kChar *extensionFilter, const kChar *path, kBool isRecursive)
| Return the number of files contained in the specified path with an optional extension filter applied. More...
kStatus | GoSensor_DirectoryFileNameAt (GoSensor sensor, const kChar *extensionFilter, const kChar *path, kBool isRecursive, kSize index, kChar *fileName, kSize capacity)
| Retrieves the file name at the specified index for a given path and optional extension filter. More...
kStatus | GoSensor_Disconnect (GoSensor sensor)
| Disconnects from the sensor. More...
kStatus | GoSensor_DownloadFile (GoSensor sensor, const kChar *sourceName, const kChar *destPath)
| Downloads a file from the connected sensor. More...
kStatus | GoSensor_EmitAnalog (GoSensor sensor, k16u index, k64s target, k32s value)
| Schedules an analog output. More...
kStatus | GoSensor_EmitDigital (GoSensor sensor, k16u index, k64s target, k8u value)
| Schedules a digital output. More...
kStatus | GoSensor_EnableAutoStart (GoSensor sensor, kBool enable)
| Sets the AutoStart enabled state of the sensor. More...
kStatus | GoSensor_EnableData (GoSensor sensor, kBool enable)
| Enables or disables the sensor's data channel. More...
kStatus | GoSensor_EnableQuickEdit (GoSensor sensor, kBool enable)
| Sets the quick edit state of the sensor. More...
kStatus | GoSensor_EnableRecording (GoSensor sensor, kBool enable)
| Sets the recording state of the sensor. More...
kStatus | GoSensor_Encoder (GoSensor sensor, k64s *encoder)
| Gets the current encoder count. More...
kStatus | GoSensor_ExportBitmap (GoSensor sensor, GoReplayExportSourceType type, GoDataSource source, const kChar *dstFileName)
| Exports the current frame of a replay in the form of a bitmap. More...
kStatus | GoSensor_ExportCsv (GoSensor sensor, const kChar *dstFileName)
| Exports replay data in CSV format. More...
kStatus | GoSensor_ExposureAutoSet (GoSensor sensor, GoRole role)
| Perform an exposure auto set. More...
GoFamily | GoSensor_Family (GoSensor sensor)
| Returns an enumerator value representing the current sensor's family. More...
kSize | GoSensor_FileCount (GoSensor sensor)
| Gets the number of files available from the connected sensor. More...
kBool | GoSensor_FileExists (GoSensor sensor, const kChar *name)
| Checks whether the specified file is present on the sensor. More...
kStatus | GoSensor_FileNameAt (GoSensor sensor, kSize index, kChar *name, kSize capacity)
| Gets the file name at the specified index. More...
kVersion | GoSensor_FirmwareVersion (GoSensor sensor)
| Gets the sensor's firmware version. More...
kStatus | GoSensor_GeoCal (GoSensor info, GoGeoCal *geoCal)
| returns the GeoCal object for querying or Null if it does not exist. More...
kStatus | GoSensor_GetFlag (GoSensor sensor, const kChar *name, kString value)
| Gets a sensor flag value. More...
kStatus | GoSensor_GetRuntimeVariableAt (GoSensor sensor, kSize index, k32s *value)
| Gets the value associated with a given runtime variable index. More...
kSize | GoSensor_GetRuntimeVariableCount (GoSensor sensor)
| Returns the number of runtime variables available on the device. More...
kStatus | GoSensor_GetRuntimeVariables (GoSensor sensor, kSize startIndex, kSize length, k32s *values)
| Gets the values associated with a given runtime variable starting index and length. More...
kStatus | GoSensor_GetVoltage (GoSensor sensor, GoVoltageSetting *voltage, k64f *cableLength)
| Get the sensor voltage settings (only on G3210) More...
kBool | GoSensor_HasBuddies (GoSensor info)
| returns true if the system has any buddies. More...
kBool | GoSensor_HasBuddy (GoSensor sensor)
| Reports whether a buddy had been assigned. More...
k32u | GoSensor_HealthPort (GoSensor sensor)
| returns the Health Port. More...
k32u | GoSensor_Id (GoSensor sensor)
| Gets the device identifier associated with this sensor. More...
GoInputSource | GoSensor_InputSource (GoSensor sensor)
| Gets the input source currently used by the sensor. More...
kBool | GoSensor_IsCompatible (GoSensor sensor)
| Reports whether the connected sensor's protocol version is compatible with the SDK's protocol version. More...
kBool | GoSensor_IsConnected (GoSensor sensor)
| Reports whether the sensor is currently connected. More...
kBool | GoSensor_IsRecordingStreaming (GoSensor sensor)
| Reports whether or not recording is streaming. More...
kBool | GoSensor_IsResponsive (GoSensor sensor)
| Reports whether the sensor is currently responsive. More...
kStatus | GoSensor_LoadedJob (GoSensor sensor, kChar *fileName, kSize capacity, kBool *changed)
| Gets the name of the loaded job file and whether it has been modified since loading. More...
kStatus | GoSensor_LogIn (GoSensor sensor, GoUser user, const kChar *password)
| Logs into the sensor using the specified user name and password. More...
GoOutput | GoSensor_Output (GoSensor sensor)
| Gets the output module, used for output configuration. More...
kStatus | GoSensor_PartMatchCreateModel (GoSensor sensor, const kChar *name)
| Creates a part matching model based on the current part data. More...
kStatus | GoSensor_PartMatchDetectModelEdges (GoSensor sensor, const kChar *name, k16u sensitivity)
| Detect the edges of the specified part model. More...
GoPartModel | GoSensor_PartMatchModel (GoSensor sensor, const kChar *name)
| Returns a handle to a part model based on a given name. More...
GoPartModel | GoSensor_PartMatchModelAt (GoSensor sensor, kSize index)
| Returns a handle to a part model based on a given index. More...
kSize | GoSensor_PartMatchModelCount (GoSensor sensor)
| Returns the number of part match models present in the currently loaded job. More...
kStatus | GoSensor_PartNumber (GoSensor sensor, kChar *partNumber, kSize capacity)
| Gets the part number associated with this sensor. More...
kStatus | GoSensor_PlaybackPosition (GoSensor sensor, kSize *position, kSize *count)
| Gets the current replay frame position. More...
kStatus | GoSensor_PlaybackSeek (GoSensor sensor, kSize position)
| Sets the current frame position for a replay. More...
kStatus | GoSensor_PlaybackStep (GoSensor sensor, GoSeekDirection direction)
| Advances one frame from the current replay position. More...
kVersion | GoSensor_ProtocolVersion (GoSensor sensor)
| Gets the sensor's protocol version. More...
kBool | GoSensor_QuickEditEnabled (GoSensor sensor)
| Gets the quick edit state of the sensor. More...
kBool | GoSensor_RecordingEnabled (GoSensor sensor)
| Gets the recording state of the sensor. More...
kStatus | GoSensor_Refresh (GoSensor sensor)
| Refreshes sensor state. More...
GoSensorInfo | GoSensor_RemoteInfoAt (GoSensor sensor, kSize index)
| Gets the remote sensor information at the given index. More...
kSize | GoSensor_RemoteInfoCount (GoSensor sensor)
| Gets the count of remote sensor information held by the sensor. More...
kStatus | GoSensor_RemoveBuddy (GoSensor sensor)
| Removes the current buddy sensor. More...
GoReplay | GoSensor_Replay (GoSensor sensor)
| Gets the replay module, used for replay configuration. More...
kStatus | GoSensor_Reset (GoSensor sensor, kBool wait)
| Reboots the main sensor and any connected buddy sensors. More...
kStatus | GoSensor_ResetEncoder (GoSensor sensor)
| Resets the encoder value. More...
kStatus | GoSensor_Restore (GoSensor sensor, const kChar *sourcePath)
| Restores a backup of sensor files. More...
kStatus | GoSensor_RestoreDefaults (GoSensor sensor, kBool restoreAddress)
| Restores factory default settings. More...
GoRole | GoSensor_Role (GoSensor sensor)
| Gets the sensor's current role within the system. More...
GoMode | GoSensor_ScanMode (GoSensor sensor)
| Gets the sensor's scan mode. More...
kStatus | GoSensor_ScheduledStart (GoSensor sensor, k64s value)
| Starts the sensor at a scheduled value. More...
kStatus | GoSensor_SetAddress (GoSensor sensor, const GoAddressInfo *info, kBool wait)
| Configures a sensor's network address settings. More...
kStatus | GoSensor_SetAlignmentReference (GoSensor sensor, GoAlignmentRef reference)
| Sets the alignment reference of the sensor. More...
kStatus | GoSensor_SetControlPort (GoSensor sensor, k32u port)
| Sets the Control Port. More...
kStatus | GoSensor_SetDataHandler (GoSensor sensor, GoSensorDataSetFx function, kPointer context)
| Sets the data callback function to be used upon receipt of data. More...
kStatus | GoSensor_SetDataPort (GoSensor sensor, k32u port)
| Sets the Data Port. More...
kStatus | GoSensor_SetDefaultJob (GoSensor sensor, const kChar *fileName)
| Sets a default job file to be loaded on boot. More...
kStatus | GoSensor_SetFlag (GoSensor sensor, const kChar *name, const kChar *value)
| Sets a sensor flag value. More...
kStatus | GoSensor_SetHealthPort (GoSensor sensor, k32u port)
| Sets the Health Port. More...
kStatus | GoSensor_SetInputSource (GoSensor sensor, GoInputSource source)
| Sets the input source of the sensor. More...
kStatus | GoSensor_SetRuntimeVariables (GoSensor sensor, kSize startIndex, kSize length, k32s *values)
| Sets the runtime variables from the provided starting index to the specified length with the values contained in the provided array. More...
kStatus | GoSensor_SetSecurityLevel (GoSensor sensor, GoSecurityLevel security)
| Sets sensor's security level. More...
GoSetup | GoSensor_Setup (GoSensor sensor)
| Gets the GoSetup instance associated with the sensor. More...
kStatus | GoSensor_SetUpgradePort (GoSensor sensor, k32u port)
| Sets the Upgrade Port. More...
kStatus | GoSensor_SetVoltage (GoSensor sensor, GoVoltageSetting voltage, k64f cableLength)
| Set sensor voltage settings (only on G3210) More...
kStatus | GoSensor_Simulate (GoSensor sensor, kBool *isBufferValid)
| Simulates the current frame in the live recording buffer. More...
kStatus | GoSensor_Snapshot (GoSensor sensor)
| Performs a sensor snapshot. More...
kStatus | GoSensor_Start (GoSensor sensor)
| Starts the sensor. More...
kStatus | GoSensor_StartRecordingStream (GoSensor sensor, kChar *destFile)
| Starts recording to a stream. More...
GoState | GoSensor_State (GoSensor sensor)
| Reports the current state of the sensor. More...
kStatus | GoSensor_States (GoSensor sensor, GoStates *states)
| Reports the current states of the sensor. More...
kStatus | GoSensor_Stop (GoSensor sensor)
| Stops the sensor. More...
kStatus | GoSensor_StopRecordingStream (GoSensor sensor)
| Stops recording to a stream. More...
kStatus | GoSensor_Timestamp (GoSensor sensor, k64u *time)
| Gets the current time stamp (common among all synchronized sensors). More...
GoTools | GoSensor_Tools (GoSensor sensor)
| Gets the sensor's tools module, used for measurement configuration. More...
GoTransform | GoSensor_Transform (GoSensor sensor)
| Gets the transform module, used for transformation configuration. More...
kStatus | GoSensor_Trigger (GoSensor sensor)
| Sends a software trigger to the sensor. More...
kStatus | GoSensor_Upgrade (GoSensor sensor, const kChar *sourcePath, GoUpgradeFx onUpdate, kPointer context)
| Upgrades sensor firmware. More...
k32u | GoSensor_UpgradePort (GoSensor sensor)
| returns the Upgrade Port. More...
kStatus | GoSensor_UploadFile (GoSensor sensor, const kChar *sourcePath, const kChar *destName)
| Uploads a file to the connected sensor. More...
GoUser | GoSensor_User (GoSensor sensor)
| Reports the user account associated with the current user. More...
k64u | GoSensor_UserStorageFree (GoSensor sensor)
| Gets the available storage space remaining for user files. More...
k64u | GoSensor_UserStorageUsed (GoSensor sensor)
| Gets the storage space used for user files. More...
kStatus | GoSensor_WaitForBuddies (GoSensor sensor, k64u timeout)
| Waits for all buddies to be connected within a specific timeout. More...
kStatus | GoSystem_GetExtendedDiscoveryInfo (GoSystem system, k32u deviceId, GoDiscoveryExtInfo *info, kAlloc allocator)
| Gets the Discovery channel information for the given device ID (if the device is present and the command is supported) More...

The documentation for this class was generated from the following files:

- GoSensor.h
- GoSystem.h